From 3990c22bf868d689c27f735b850c0f53aa098cd6 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 08:04:48 +0200
Subject: [PATCH 15/30] Fix buffer type

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 95140eed67..0b8ff24168 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -3675,7 +3675,7 @@ List slurm_receive_resp_msgs(int fd, int steps, int timeout)
 	int rc;
 	void *auth_cred = NULL;
 	slurm_msg_t msg;
-	buf_t *buffer;
+	Buf buffer;
 	ret_data_info_t *ret_data_info = NULL;
 	List ret_list = NULL;
 	int orig_timeout = timeout;
-- 
2.35.3


